/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomHTMLHtmlElement_H__
#define __GdomHTMLHtmlElement_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomHTMLElement.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomHTMLHtmlElement GdomHTMLHtmlElement;
typedef struct _GdomHTMLHtmlElementClass GdomHTMLHtmlElementClass;


#define GDOM_TYPE_HTML_HTML_ELEMENT            (gdom_html_html_element_get_type())
#define GDOM_HTML_HTML_ELEMENT(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_HTML_HTML_ELEMENT, GdomHTMLHtmlElement))
#define GDOM_HTML_HTML_ELEMENT_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_HTML_HTML_ELEMENT, GdomHTMLHtmlElement)Class)
#define GDOM_IS_HTML_HTML_ELEMENT(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_HTML_HTML_ELEMENT))
#define GDOM_IS_HTML_HTML_ELEMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_HTML_HTML_ELEMENT))
#define GDOM_HTML_HTML_ELEMENT_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_HTML_HTML_ELEMENT, GdomHTMLHtmlElementClass))

typedef struct _GdomHTMLHtmlElementPrivate GdomHTMLHtmlElementPrivate;

struct _GdomHTMLHtmlElement {
    GdomHTMLElement parent_instance;
    GdomHTMLHtmlElementPrivate *priv;
};

struct _GdomHTMLHtmlElementClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_html_html_element_get_type (void);

G_END_DECLS

#endif /* __GdomHTMLHtmlElement_H__ */
